#include <iostream>

#include "CommandlineOptions.hh"
#include "Options.hh"
#include "ConfData.hh"

#include "FineTriang.hh"

int main (const int argc, const char** argv) {
  using namespace topcom;

  CommandlineOptions::init(argc, argv);
  MessageStreams::forced() << std::endl;
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << " computing a fine triangulation of a point configuration \n";
  MessageStreams::forced() << " TOPCOM client: " << CommandlineOptions::client() << '\n';
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << std::endl;

  Options options;
  ConfData confdata(options);
  confdata.read_input(std::cin);

  MessageStreams::result() << FineTriang(confdata.chiro()) << std::endl;
  return 0;
}

// eof points2finetriang.cc
